Bug 148959 - Using up2date to upgrade from rhel3 to rhel4 doesn't work
Using up2date to upgrade from rhel3 to rhel4 doesn't work
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2005-02-17 07:35 EST by Trond H. Amundsen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-17 12:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output from 'up2date --upgrade-to-release=4WS' (56.72 KB, text/plain)
2005-02-17 07:38 EST, Trond H. Amundsen
no flags Details

  None (edit)
Description Trond H. Amundsen 2005-02-17 07:35:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I'm trying to upgrade a few systems from rhel3 to rhel4 using the
'--upgrade-to-release' option to up2date, but I keep running into
problems with dependencies. The command given is

  up2date --upgrade-to-release=4WS -k /mnt/test -uf

and the result I get is

  Unresolvable chain of dependencies:
  gtkam-gimp  0.1.7-6                      requires libgimp-1.2.so.0
  gtkam-gimp  0.1.7-6                      requires libgimpui-1.2.so.0
  redhat-config-nfs  1.0.13-6              requires /usr/bin/python2.2
  udev-039-10.8.EL4                        requires kernel < 0:2.6

The complete output is attached. The first three I can work around,
but it's an error nonetheless, and the last one is more complex. I
can't find much documentation for the 'upgrade-to-release' option. Is
it even supposed to work when upgrading from one major release to
another, and is this method of upgrading at all recommended?

We have 1000+ rhel boxes, so an easy, well-documented and automated
method of upgrading would be neat. Kickstart upgrade is certainly
cool, but a simple up2date command would be far better :)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run 'up2date --upgrade-to-release=4WS' on an rhel3 system


Actual Results:  The error message described above.

Expected Results:  The system is upgraded and just need a reboot to be
a fully working rhel4 system.

Additional info:
Comment 1 Trond H. Amundsen 2005-02-17 07:38:04 EST
Created attachment 111157 [details]
Output from 'up2date --upgrade-to-release=4WS'
Comment 2 Adrian Likins 2005-02-17 12:27:15 EST
--upgrade-to-release will be removed in future versions. It
is a deprecated feature. 

The supported upgrade path is via anaconda (aka, the
installer). RHEL3 to RHEL$ upgrades require additional
changes other than simply upgrading all the packages.
Comment 3 Trond H. Amundsen 2005-02-18 04:25:13 EST
Ok, I thought that might be the case. Thanks for clearing it up, and
for the quick response. Have a nice weekend :)


Note You need to log in before you can comment on or make changes to this bug.